#!/bin/bash

SERIAL=/dev/cua0

case $1 in
	0|com1|ttyS0|/dev/ttyS0|cua0|/dev/cua0)
		SERIAL=/dev/cua0
	;;
	1|com2|ttyS1|/dev/ttyS1|cua1|/dev/cua1)
		SERIAL=/dev/cua1
	;;
	2|com3|ttyS2|/dev/ttyS2|cua2|/dev/cua2)
		SERIAL=/dev/cua2
	;;
	3|com4|ttyS3|/dev/ttyS3|cua3|/dev/cua3)
		SERIAL=/dev/cua3
	;;
	*)
	echo "Usage: $0 line [0|1|2|3]"
	exit 1
	;;
esac

echo -n "Line $SERIAL ... "

# init lines to 9600 8N1 / supress echo 

stty 9600 cs8 -parenb -parodd -cstopb -echo < $SERIAL

# initialize settings

echo "INI\r" > $SERIAL
read ANSWER1 < $SERIAL

if [ ! $ANSWER1 = "INIr" ]
then
    echo "Failed!"
    exit 1
fi

# set data output size to 1280

IFS="\t\n"

echo "SHA F\r" > $SERIAL
read ANSWER1 < $SERIAL

if [ ! $ANSWER1 = "SHA Fr" ]
then
    echo "Failed!"
    exit 1
fi

echo "OK."
exit 0

